/*
	File:		BackDepLib.h

	Contains:	Test for having a library with a dependency on a library
				that is dependent on it.

	Copyright:	 1992-1994 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __BACKDEPLIB__
#define __BACKDEPLIB__

#ifndef __LIBRARYMANAGER__
#include <LibraryManager.h>
#endif

/*******************************************************************************
** CLASS TBackDep1
********************************************************************************/

#define kTBackDep1ID	"appl:test$TBackDep1,1.2"

#if SINGLEOBJECT
class TBackDep1 : SingleObject
#else
class TBackDep1
#endif
{
	public:
				TBackDep1();
	virtual		~TBackDep1();
				
	void	virtual		Foo();
};

/*******************************************************************************
** CLASS TBackDep2
********************************************************************************/

#define kTBackDep2ID	"appl:test$TBackDep2,1.2"

class TBackDep2 : public TBackDep1
{
	public:
				TBackDep2();
				~TBackDep2();
				
	void	virtual		Foo();
};


/*******************************************************************************
** CLASS TBackDep3
********************************************************************************/

#define kTBackDep3ID	"appl:test$TBackDep3,1.2"

class TBackDep3 : public TBackDep2
{
	public:
						TBackDep3();
		virtual			~TBackDep3();
		
	void	virtual		Foo();
};

#endif
